#include <xc.h>
#include <pic16f886.h>
#include "port_init.h"
#include "user_define.h"
#include "wait_time.h"
#include "hitec_c_i2c.h"

#pragma config BOREN = OFF
#pragma config CPD = OFF 
#pragma config FOSC =INTRC_NOCLKOUT  
#pragma config MCLRE = ON 
#pragma config WDTE = OFF 
#pragma config CP = OFF 
#pragma config LVP = OFF 
#pragma config PWRTE = ON
#pragma config IESO =OFF
#pragma config FCMEN = OFF

#pragma config BOR4V = BOR21V
#pragma config WRT = OFF

/*---------------------MAIN-----------------------*/
void	main(void)
{

	port_init();
   
	__delay_ms(1000);
        
	I2CInit();

    i2c_ns73m_write(0x0e,0x05);     // RESET
    i2c_ns73m_write(0x01,0xb4);     //
    i2c_ns73m_write(0x02,0x06);     //
    i2c_ns73m_write(0x03,0xae);     // 89.2MHz
    i2c_ns73m_write(0x04,0x2a);     // 89.2MHz
    i2c_ns73m_write(0x08,0x1b);     //
    i2c_ns73m_write(0x00,0x85);     //
    
    __delay_ms(100);
    
    i2c_ns73m_write(0x0e,0x05);     // RESET
    i2c_ns73m_write(0x06,0x1e);     //
    
    __delay_ms(100);
    
    i2c_ns73m_write(0x00,0x81);     // PowerOn
    
    ON_AIR_LED=1;
    
	while(1){

        NOP();

	}

}